Page 1 of 1

PM 28 and FT DeepDark

Posted: 2018-09-03, 17:23
by artJay
Hi guys.
A short question.
Has anyone succeeded in making FT DeepDark theme work with PM 28?

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 17:38
by therube
I don't even see it.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 17:41
by artJay
It's not "officially" supported by PM and thus it's not present on PM Extensions page. However it worked just fine with PM 27 with some additional tweaks (which by the way were posted here on the forum). With PM 28 it doesn't work at all.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 18:00
by New Tobin Paradigm
Correction: It does not support Pale Moon. Please be clear in such matters.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 18:43
by artJay
Yeah, it wasn't designed with Pale Moon in mind. But it worked with it until I upgraded to 28.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 19:10
by New Tobin Paradigm
So what is your point? We can't undo the structural theme changes to make a Firefox theme work with Pale Moon. I don't understand what this thread is trying to accomplish.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 19:45
by artJay
New Tobin Paradigm wrote:So what is your point? We can't undo the structural theme changes to make a Firefox theme work with Pale Moon.
The point is that I don't expect you devs to roll back the changes introduced in 28. Why would I? All I asked for is some tips from PM 28 and FT DeepDark theme users that managed to get this theme up and running on the newest version of Pale Moon. That's all.
New Tobin Paradigm wrote:I don't understand what this thread is trying to accomplish.
I wrote this thread solely for the purpose that I already mentioned. To find a way of using this theme in the newest version of Pale Moon. Even if it requires some theme hacking.

Re: PM 28 and FT DeepDark

Posted: 2018-09-03, 19:55
by Admin
Tip: Fork the theme (if license allows) and make it a Pale Moon 28 theme.
Tip2: Ask the theme dev to make a Pale Moon version.

These tips brought to you free of charge - further tips will incur cost ;)

Re: PM 28 and FT DeepDark

Posted: 2018-09-04, 00:50
by Thehandyman1957
I think nerves are getting a little frayed around here. :x Since PM 28 came out
there have been a boat load :wtf: of folks who came here, and expected that
PM 28 was instead F.F. and that all things F.F. should just work out of box.

Because of that, I wrote about this mindset and what folks should expect from PM.

Pale Moon and your add on's, What should you expect???
https://forum.palemoon.org/viewtopic.php?f=4&t=20143

I do realize that you weren't actually asking the PM team for support
but only hoping that someone else on the forum may have found a work
around for that particular theme that you use.

But the above advice still stands true. You really need to talk to the
theme developer and see if they are willing to fix it for you. If not, you
might just have to settle for one that has been fixed and posted on the
PM themes site. Lot's of good stuff there. Hopefully, as more time goes
by, we will get even more great dark themes as they are my favorite. ;)

I think one of the reasons for the stiff response is that if the theme license does not
allow for others to change and post those changes then your asking someone here to
break the law. You should check to see if this is the case or not before asking anyone
on the PM forum to share what they may not have the right to in the first place. :think:

Re: PM 28 and FT DeepDark

Posted: 2018-09-04, 02:56
by fillerup
if FT DeepDark is a MUST have for you (like it was for me some years back), i suggest switching over to Waterfox, or better yet Basilisk. functionality will remain mostly the same, only Pale Moon will have some of its unique addons and Waterfox/Basilisk will have some of theirs.

if you prefer sticking with Pale Moon, there are a couple of dark themes available for Pale Moon courtesy of Lootyhoof that are much more modern than FT DeepDark which doesn't even have HiDPI support

Re: PM 28 and FT DeepDark

Posted: 2018-11-11, 23:57
by christian
I can confirm you can make it work on PM 28.1, i just tried several ways but nothing until I install "moontester tool 1.1.6" and "theme compatibility provider 1.0.2"
addons.jpg
and install FT Deepdark 9.5.4
deepdark.jpg
using the button on moontester tool and.... dit it! :D :wtf: :thumbup: finally it worked!.
tester.jpg
You must try to do it!, but first ensure to make a copy of the session (session saver or something) just in case. Enjoy it!. :D

Re: PM 28 and FT DeepDark

Posted: 2018-11-12, 19:08
by Goodydino
After you have a more or less working version of the theme installed, you can copy its .xpi file from the extensions directory in Pale Moon's profile, rename it to a recognizable name, and have an installable, working copy of the installer which no longer needs Theme Compatibility Provider to work.

Re: PM 28 and FT DeepDark

Posted: 2018-11-12, 20:06
by christian
Goodydino wrote:After you have a more or less working version of the theme installed, you can copy its .xpi file from the extensions directory in Pale Moon's profile, rename it to a recognizable name, and have an installable, working copy of the installer which no longer needs Theme Compatibility Provider to work.
No need to do more experiments, everything is going fine so, i just keep it this way with no changes, but thank you for the information, maybe when I see something wrong i will give it a try. :)

Re: PM 28 and FT DeepDark

Posted: 2018-11-15, 14:20
by christian
So then.. it happens!, when I upgraded to 28.2 the theme change to default, so to avoid any other issues i take your tip and export the theme with "extexp" and then uninstall "theme compatibility" adn then install the FIXED versin of FT and is going fine until now. :D